Loading...
Searching...
No Matches
kdf.c File Reference
key derivation functions
`#include <stdint.h>`
`#include <string.h>`
`#include "config.h"`
`#include <osmocom/crypt/kdf.h>`
`#include <osmocom/core/bit32gen.h>`
`#include "kdf/common.h"`
`#include "kdf/sha256.h"`

## Macros

#define | HMAC_FUNC(k, lk, s, sl, out)

## Functions

void | osmo_kdf_kc128 (const uint8_t *ck, const uint8_t *ik, uint8_t *kc128)
void | osmo_kdf_kasme (const uint8_t *ck, const uint8_t *ik, const uint8_t *plmn_id, const uint8_t *sqn, const uint8_t *ak, uint8_t *kasme)
void | osmo_kdf_enb (const uint8_t *kasme, uint32_t ul_count, uint8_t *kenb)
void | osmo_kdf_nh (const uint8_t *kasme, const uint8_t *sync_input, uint8_t *nh)
void | osmo_kdf_nas (uint8_t algo_type, uint8_t algo_id, const uint8_t *kasme, uint8_t *knas)

## Macro Definition Documentation

## HMAC_FUNC

#define HMAC_FUNC | ( |  | k,
|  |  | lk,
|  |  | s,
|  |  | sl,
|  |  | out )

Value:
hmac_sha256(k,lk,s,sl,out)
hmac_sha256
void hmac_sha256(const u8 *key, size_t key_len, const u8 *data, size_t data_len, u8 *mac)
hmac_sha256 - HMAC-SHA256 over data buffer (RFC 2104) @key: Key for HMAC operations @key_len: Length ...
Definition sha256.c:101

Referenced by osmo_kdf_enb(), osmo_kdf_kasme(), osmo_kdf_kc128(), osmo_kdf_nas(), and osmo_kdf_nh().